import { AnnotationLayer } from "./AnnotationLayer";
import { Series } from "./Series";
import { TrendLineType } from "igniteui-angular-core";
import { Type } from "igniteui-angular-core";
import { SeriesView } from "./SeriesView";
import { Rect } from "igniteui-angular-core";
import { RenderSurface } from "./RenderSurface";
import { NotifyCollectionChangedEventArgs } from "igniteui-angular-core";
import { ITrendLineManager } from "./ITrendLineManager";
import { AnnotationAppearanceMode } from "./AnnotationAppearanceMode";
import { AnnotationLayerView } from "./AnnotationLayerView";
import { DoubleCollection } from "igniteui-angular-core";
import { RenderingContext } from "igniteui-angular-core";
/**
 * @hidden
 */
export declare class TrendLineLayer extends AnnotationLayer {
    static $t: Type;
    private aav;
    protected bk(): Series;
    constructor();
    ac(): void;
    protected ct(): SeriesView;
    q7(a: SeriesView): void;
    protected get_eu(): boolean;
    protected get_fl(): boolean;
    protected aah: TrendLineLayerView;
    aag: Series;
    aaf: Series;
    aai: TrendLineType;
    aaj: number;
    protected get_isUsableInLegend(): boolean;
    protected y1(a: Series, b: boolean): void;
    protected xs(a: Series): boolean;
    r0(a: Rect, b: RenderSurface): void;
    rx(a: Rect, b: Rect, c: RenderSurface, d: string, e: number): void;
    protected y2(a: NotifyCollectionChangedEventArgs): void;
    aal(): string;
    private aaq;
    private aan;
    private aap;
    private aao;
    protected sp(): void;
    protected zb(): void;
    protected xc(): AnnotationAppearanceMode;
    protected xz(): number;
    protected x2(): number;
    protected x1(): number;
    protected z3(): DoubleCollection;
    private aaw;
    private aax;
    protected rg(a: any, b: string, c: any, d: any): void;
    protected p5(a: any): void;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class TrendLineLayerView extends AnnotationLayerView {
    static $t: Type;
    private static cr;
    private cq;
    protected co: TrendLineLayer;
    cn: ITrendLineManager;
    cp: boolean;
    constructor(a: TrendLineLayer);
    private cu;
    protected bj(a: RenderingContext, b: boolean): void;
    ct(a: Series, b: Series): void;
    cs(): void;
    ax(a: any): void;
}
